using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_QiTa_ShuJuQingLi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改数据清理设置", "网站后台", "更改数据清理设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            更改设置();
        else
            初始化();
    }

    private void 初始化()
    {
        JiFenLiShiJiLu.SelectedValue = 程序.设置["数据清理_积分历史记录"].ToString();
        CuoWuRiZhi.SelectedValue = 程序.设置["数据清理_错误日志"].ToString();
        HouTaiDenLuRiZhi.SelectedValue = 程序.设置["数据清理_后台登录日志"].ToString();
        GuanLiJiLu.SelectedValue = 程序.设置["数据清理_管理记录"].ToString();
        FangWenTongJiBaoGao.SelectedValue = 程序.设置["数据清理_访问统计报告"].ToString();
    }

    private void 更改设置()
    {
        访问.验证权限("1");

        程序.设置["数据清理_积分历史记录"] = JiFenLiShiJiLu.SelectedValue;
        程序.设置["数据清理_错误日志"] = CuoWuRiZhi.SelectedValue;
        程序.设置["数据清理_后台登录日志"] = HouTaiDenLuRiZhi.SelectedValue;
        程序.设置["数据清理_管理记录"] = GuanLiJiLu.SelectedValue;
        程序.设置["数据清理_访问统计报告"] = FangWenTongJiBaoGao.SelectedValue;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), Encoding.UTF8);
    }
}
